SecurityTracker.com
Keep Track of the Latest Vulnerabilities
with SecurityTracker!
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 
Sign Up
Sign Up for Your FREE Weekly SecurityTracker E-mail Alert Summary
Instant Alerts
Buy our Premium Vulnerability Notification Service to receive customized, instant alerts
Affiliates
Put SecurityTracker Vulnerability Alerts on Your Web Site -- It's Free!
Partners
Become a Partner and License Our Database or Notification Service
Report a Bug
Report a vulnerability that you have found to SecurityTracker
bugs
@
securitytracker.com






Category:   Application (Generic)  >   Ruby Vendors:   Matsumoto, Yukihiro
Ruby 'resolv.rb' DNS Query Port Entropy Weakness Lets Remote Users Spoof the System
SecurityTracker Alert ID:  1020653
SecurityTracker URL:  http://securitytracker.com/id/1020653
CVE Reference:   CVE-2008-1447   (Links to External Site)
Date:  Aug 12 2008
Impact:   Modification of system information
Fix Available:  Yes  Vendor Confirmed:  Yes  Exploit Included:  Yes  
Version(s): 1.8.5, 1.8.6-p286, 1.8.7-p71, and prior versions; 1.9 r18423 and prior revisions
Description:   A vulnerability was reported in Ruby in 'resolv.rb'. A remote user can spoof the system.

The domain name system (DNS) service does not use sufficiently random UDP sockets to process queries. A remote user can send specially crafted DNS queries and responses to the target service to spoof responses and insert records into the DNS cache. This may cause traffic to be redirected to arbitrary IP addresses specified by the remote user.

Dan Kaminsky of IOActive reported this vulnerability.

Impact:   A remote user can spoof the DNS service, causing traffic to be redirected to arbitrary hosts.
Solution:   The vendor has issued a fix (1.8.6-p287, 1.8.7-p72), available at:

ftp://ftp.ruby-lang.org/pub/ruby/1.8/ruby-1.8.6-p287.tar.gz
ftp://ftp.ruby-lang.org/pub/ruby/1.8/ruby-1.8.7-p72.tar.gz

The vendor's advisory is available at:

http://www.ruby-lang.org/en/news/2008/08/08/multiple-vulnerabilities-in-ruby/

Vendor URL:  www.ruby-lang.org/en/news/2008/08/08/multiple-vulnerabilities-in-ruby/ (Links to External Site)
Cause:   Randomization error
Underlying OS:   Linux (Any), UNIX (Any), Windows (Any)

Message History:   None.


 Source Message Contents

Date:  Mon, 11 Aug 2008 10:32:56 -0400
Subject:  Ruby


http://www.ruby-lang.org/en/news/2008/08/08/multiple-vulnerabilities-in-ruby/
 
 


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

Copyright 2014, SecurityGlobal.net LLC